using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Common
{
    
    /// <summary>
    /// represents a serializable data entity that the framework can use to pass
    /// data back and forth between the database, bre, and user interface
    /// </summary>
    public interface IDataEntity : IObject 
    {
        /// <summary>
        /// serializes the entity
        /// </summary>
        /// <returns></returns>
        Xml Serialize();

        /// <summary>
        /// deserializes the entity
        /// </summary>
        /// <typeparam name="T"></typeparam>
        /// <param name="entitydata"></param>
        /// <returns></returns>
        T Deserialize<T>(Xml entitydata) where T : CommonDataObject;

        /// <summary>
        /// locks the entity
        /// </summary>
        /// <returns></returns>
        bool Lock();

        /// <summary>
        /// unlocks the entity
        /// </summary>
        /// <returns></returns>
        bool Unlock();
    }
}
