using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Common
{
    /// <summary>
    /// represents a base interface for all objects with a Name property
    /// this class is generally used in association with generic collections
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public interface INamedObject<T> : IObject
    {
        /// <summary>
        /// Gets the name of a named object
        /// </summary>
        T Name {get;}
    }
}
