using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Common
{
    /// <summary>
    /// Represents an IPC Object that remains in the memory for the life time of the application.
    /// This is different from a standard IPC Object whose life time has to be explicitely managed.
    /// </summary>
    public class ImmortalIPCObject : IPCObject
    {
        /// <summary>
        /// Default Constructor 
        /// </summary>
        public ImmortalIPCObject()
        {
            this.IsImmortal = true;
        }
    }
}
