using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using MindFactorial.LaunchPoint.Console.Library;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Base class for Console Surfaces.  This is an internal runtime class, it is not meant to be used
    /// in user code.  Use PluginSurface to extend the console
    /// </summary>
    public class ConsoleSurface : System.Windows.Controls.UserControl 
    {
        
        /// <summary>
        /// Sets the surface's presentation view
        /// </summary>
        /// <param name="presenter">the surface to display</param>
        protected internal virtual  void SetPresentationSurface(ISurfacePresenter presenter)
        {
           
        }
    }
}
