using System;
using System.Collections.Generic;
using System.Text;
using MindFactorial.LaunchPoint.Common;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Represents a root window
    /// </summary>
    internal interface IRootWindow : IObject
    {
        /// <summary>
        /// gets the messaging pipeline of the root window
        /// </summary>
        PluginMessagingPipeline MessagingPipeline { get;}

        /// <summary>
        /// Gets the context to the runnable component (Console)
        /// </summary>
        MindFactorial.LaunchPoint.Runtime.LaunchPointApplication RunnableContext { get; }

        void PipelineBroadcastEvent(string application, string filter, string message);
    }
}
