using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Controls;
using MindFactorial.LaunchPoint.Common;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// represents a surface presenter.  implement this interface to create a different 
    /// type of surface presenter that the one provided by the framework
    /// </summary>
    public interface ISurfacePresenter : IPresenter
    {
        /// <summary>
        /// gets the usercontrol area associated with this surface
        /// </summary>
        UserControl Surface { get;}

        /// <summary>
        /// gets the label for this surface
        /// </summary>
        string Label { get;}
        
    }
}
