using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Controls;
using MindFactorial.LaunchPoint.Common;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Represents a context for accessing the menu system
    /// </summary>
    public class MenuPresentationContext : ConsoleContextObject
    {
        TopLevelMenuManager _presenter;

        internal MenuPresentationContext(Menu mainMenu)
        {
            _presenter = new TopLevelMenuManager(mainMenu);
                     
        }

        

        /// <summary>
        /// Gets the top level menu manager for a plugin
        /// </summary>
        public TopLevelMenuManager Manager
        {
            get
            {
                return _presenter;
            }
        }

        
        
    }
    
}
