using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// represents the three surfaces on the console that extenders can attach to
    /// </summary>
    public enum MessageTarget
    {
        /// <summary>
        /// The top left area
        /// </summary>
        ContextArea = 0,

        /// <summary>
        /// The general context area
        /// </summary>
        ContentArea = 2,

        /// <summary>
        /// The top toolbar
        /// </summary>
        ToolbarArea = 3,

        /// <summary>
        /// A non UI object for handling arbitrary messages
        /// </summary>
        Controller = 4
    }
}
