using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Represents a base class for extending the console
    /// </summary>
    public abstract class PluginExtenderWindow : System.Windows.Window
    {
        IConsolePlugIn _plugin;

        /// <summary>
        /// gets the console plugin container for this window
        /// </summary>
        protected internal IConsolePlugIn PluginContext
        {
            get
            {
                return _plugin;
            }
            internal set
            {
                _plugin = value;
            }
        }

        /// <summary>
        /// overrides the shutdown event
        /// </summary>
        protected internal virtual void OnShutDown()
        {

        }

    }
}
