using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Identifies a class as a surface presenter
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class PluginSurfacePresenterAttribute : ConsoleAttribute
    {
        SurfaceTarget _target;
        /// <summary>
        /// Create a new surface for a specified target
        /// </summary>
        /// <param name="target"></param>
        public PluginSurfacePresenterAttribute(SurfaceTarget target)
        {
            this._target = target;
        }

        /// <summary>
        /// Get the specified target for this surface
        /// </summary>
        public SurfaceTarget Target
        {
            get
            {
                return _target;
            }
        }
    }

}
