using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Represents a plugin window
    /// </summary>
    public abstract class PluginWindow : PluginExtenderWindow, IDeactivateListener 
    {
        /// <summary>
        /// Initializes the plugin window
        /// </summary>
        public abstract void Init();


        /// <summary>
        /// Called when the plugin is being deactivated (replaced by another other 
        /// plugin).  Should be overriden in base classes to provide appropriate 
        /// functionality
        /// </summary>
        public virtual void Deactivate()
        {
           
        }

       
    }
}
