using System;
using System.Collections.Generic;
using System.Text;

namespace MindFactorial.LaunchPoint.Console.Library
{
    /// <summary>
    /// Identifies a class as a window presenter
    /// </summary>
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class PluginWindowPresenterAttribute : ConsoleAttribute
    {
        string _name;

        /// <summary>
        /// creates a new instance
        /// </summary>
        /// <param name="name"></param>
        public PluginWindowPresenterAttribute(string name)
        {
            this._name = name;
        }

        /// <summary>
        /// gets the name of the window presenter
        /// </summary>
        public string Name
        {
            get
            {
                return _name;
            }
        }
    }
}
