﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Markup;

namespace MindFactorial.LaunchPoint.Runtime
{
    [Serializable]
    public class LaunchPointConfiguration
    {
        public bool LaunchInDefaultContext { get; set; }
        public LaunchPointApp Application { get; set; }
        public PluginConfigList Plugins { get; set; }


        public override string ToString()
        {
            string xml = XamlWriter.Save(this);
            return xml;
        }
        
    }

    [Serializable]
    public class LaunchPointApp
    {
        public string Path { get; set; }
        public string Name { get; set; }
        public string RunnableTypeName { get; set; }
    }

    [Serializable]
    public class PluginConfig
    {
        public string Name { get; set; }
        public string Path { get; set; }
        public string Label { get; set; }
    }

    [Serializable]
    public class PluginConfigList : List<PluginConfig> { }

}


